# $Revision: 1.9 $, $Date: 2006/10/08 22:23:29 $
Summary:	QDVDAuthor, the GUI frontend for dvdauthor and other related tools
Summary(pl):	QDVDAuthor - graficzny interfejs do programu dvdauthor i powizanych narzdzi
Name:		qdvdauthor
Version:	0.1.3
Release:	1
License:	GPL v2
Group:		Applications/Multimedia
Source0:	http://dl.sourceforge.net/qdvdauthor/%{name}-%{version}.tar.gz
# Source0-md5:	3785f3770dca7cc04287c41f4ff61e51
URL:		http://qdvdauthor.sourceforge.net/
BuildRequires:	qmake
BuildRequires:	qt-devel
BuildRequires:	qt-linguist
BuildRequires:	sed >= 4.0
BuildRequires:	xine-lib-devel >= 1:1.0.0
Requires:	dvd-slideshow >= 0.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QDVDAuthor is a GUI frontend for using dvdauthor and dvd-slideshow
scripts to easily build DVD menus and assemble the DVD VOB files.

%description -l pl
QDVDAuthor to graficzny interfejs uytkownika do uywania skryptw
dvdauthor i dvd-slideshow do atwego tworzenia menu DVD i skadania
plikw DVD VOB.

%prep
%setup -q

%build
%{__sed} -i 's,Categories.*,Categories=Qt;AudioVideo;AudioVideoEditing;,' qdvdauthor.desktop
%{__sed} -i 's,x23,043,g' qdvdauthor/{qdvdauthor.pro,qplayer/qplayer.pro}

./configure \
	--build-qplayer \
	--build-qslideshow \
	--with-mplayer-support \
	--with-xine-support \
	--qt-dir=%{_prefix} \
	--with-qt-lib=%{_libdir}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/qdvdauthor,%{_desktopdir},%{_pixmapsdir}}

install bin/qdvdauthor $RPM_BUILD_ROOT%{_bindir}
install bin/qplayer $RPM_BUILD_ROOT%{_bindir}
install bin/qslideshow $RPM_BUILD_ROOT%{_bindir}
install qdvdauthor/i18n/*.qm $RPM_BUILD_ROOT%{_datadir}/qdvdauthor
install qdvdauthor.desktop $RPM_BUILD_ROOT%{_desktopdir}
install qdvdauthor.png $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/qdvdauthor
%lang(de) %{_datadir}/%{name}/qdvdauthor_de.qm
%lang(es) %{_datadir}/%{name}/qdvdauthor_es.qm
%lang(fr) %{_datadir}/%{name}/qdvdauthor_fr.qm
%lang(pl) %{_datadir}/%{name}/qdvdauthor_pl.qm
%lang(de) %{_datadir}/%{name}/qplayer_de.qm
%lang(es) %{_datadir}/%{name}/qplayer_es.qm
%lang(fr) %{_datadir}/%{name}/qplayer_fr.qm
%lang(de) %{_datadir}/%{name}/qslideshow_de.qm
%lang(es) %{_datadir}/%{name}/qslideshow_es.qm
%lang(fr) %{_datadir}/%{name}/qslideshow_fr.qm
%{_desktopdir}/qdvdauthor.desktop
%{_pixmapsdir}/qdvdauthor.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qdvdauthor.spec,v $
Revision 1.9  2006/10/08 22:23:29  shadzik
- 0.1.3

Revision 1.8  2006/09/02 18:54:02  rotom
- up to 0.1.2

Revision 1.7  2006/07/06 12:36:28  shadzik
- up to 0.1.1

Revision 1.6  2006/02/15 21:00:57  charles
- updated to 0.1.0

Revision 1.5  2005/07/09 13:19:45  charles
- updated to 0.0.10
- added mplayer support
- BR: qmake, qt-linguist

Revision 1.4  2005/02/25 13:55:37  charles
- fixed bashizm (by Mariusz Kryski <mrk(at)sed.pl>)

Revision 1.3  2005/02/15 18:51:31  qboosh
- pl desc

Revision 1.2  2005/02/15 16:26:40  charles
- R dvd-slideshow

Revision 1.1  2005/02/15 14:00:33  charles
- initial
